CREATE TABLE text_part AS
SELECT n AS id,
CASE n % 10
WHEN 0 THEN 'N'
ELSE 'Y'
END AS geloescht,
str_random(200) AS cont
FROM generate_series(1, 5000000) x(n);

CREATE INDEX i_btree_text ON text_part(cont);

CREATE INDEX i_part_text ON text_part(cont) 
WHERE geloescht = 'N';
