import pandas as pd
import os
basepath = 'C:\\Data\\aclImdb'
lables = {'pos':1, 'neg':0}
df = pd.DataFrame()
for i in ('test', 'train'):
  for j in ('pos', 'neg'):
    path = os.path.join(basepath, i, j)
    for file in os.listdir(path):
      with open(os.path.join(path, file), 'r', encoding='utf-8') as single_file:
        text = single_file.read()
      df = df.append([[text, lables[j]]], ignore_index = True)
df.to_csv('imdb.csv', index=False, encoding='utf-8', sep='|')
