SELECT (100 * checkpoints_req)/(checkpoints_timed + checkpoints_req) AS req_pct,
pg_size_pretty (buffers_checkpoint * block_size / (checkpoints_timed +
checkpoints_req)) AS avg_write,
pg_size_pretty (block_size * (buffers_checkpoint + buffers_clean + buffers_backend))
AS total_write,
100 * buffers_checkpoint / (buffers_checkpoint + buffers_clean + buffers_backend )
AS chkpt_pct,
100 * buffers_backend / (buffers_checkpoint + buffers_clean + buffers_backend)
AS write_pct
FROM pg_stat_bgwriter,
(SELECT CAST(current_setting('block_size') AS integer) AS block_size) as bs;
