CREATE TABLE sales(
sales_id INT,
customer_id INT,
product_id INT,
sales_date DATE,
amount NUMERIC(12,2))
PARTITION BY RANGE (sales_date);

CREATE TABLE sales_2021_01
PARTITION OF sales
FOR VALUES FROM ('2021-01-01') TO ('2021-02-01');

CREATE TABLE sales_2021_02
PARTITION OF sales
FOR VALUES FROM ('2021-02-01') TO ('2021-03-01');

\d+ sales
