/* contrib/fibonacci/fibonacci--1.0.sql */
-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use “CREATE EXTENSION fibonacci” to load this file. \quit
CREATE FUNCTION fibonacci(num INTEGER)
RETURNS SETOF INTEGER
AS $$
WITH RECURSIVE cnt(n1,n2) AS
(
VALUES(0,1)
UNION ALL
  SELECT
  GREATEST(n1,n2),n1 + n2 AS FibuNumbers
  FROM cnt
  WHERE n2 < num
)
SELECT n1 FROM cnt;
$$ LANGUAGE SQL;

CREATE OPERATOR ## (PROCEDURE=fibonacci, LEFTARG=integer);
