import java.sql.*;
public class getMetaData {
  public static void main(String[] argv) {
    Connection conn = null;
    DatabaseMetaData dmd = null;
    try {
      Class.forName(“org.postgresql.Driver”);
    } catch (ClassNotFoundException ex) {
      System.out.println(“Driver could not be loaded.”);
    }
    try {
      conn = DriverManager.getConnection(
       “jdbc:postgresql://192.168.56.101:5432/hanser”,“postgres”,“postgres”);
      dmd = conn.getMetaData();
      System.out.println(“Database Product: ” + dmd.getDatabaseProductName());
      System.out.println(“Product Version: ” + dmd.getDatabaseProductVersion());
      System.out.println(“Driver Name: ” + dmd.getDriverName());
      System.out.println(“Driver Version: ” + dmd.getDriverVersion());
      System.out.println(“Connection URL: ” + dmd.getURL());    
      System.out.println(“Supports Transactions?: ” + dmd.supportsTransactions());
      System.out.println(“Isolation Level: ” + 
        dmd.getDefaultTransactionIsolation());
      conn.close();
    } catch (SQLException sqlex) {
      System.out.println(sqlex.toString());
    }
  }
}
