#include <stdlib.h>
#include “libpq-fe.h”
int main(int argc, char **argv) {
  PGresult *stmt;
  PGresult *res;
  const char *conninfo;
  const char *stmtName = “PREPARE_STMT_1”;
  const char *params[2];
  int paramLen[2];
  Oid oidTypes[2] = {23, 1043};
  int paramForm[2] = {0, 0};
  conninfo = “host=localhost port=5432 dbname=hanser user=postgres password=postgres connect_timeout=5”;
  PGconn *myconn = PQconnectdb(conninfo);
  if (PQstatus(myconn) == CONNECTION_OK) {
    printf(“Verbindung hergestellt\n”);
  }; 
  stmt = PQprepare(myconn, stmtName, “INSERT INTO categories VALUES ($1, $2)”, 2, (const Oid *) oidTypes);
  params[0] = “17”;
  paramLen[0] = 4;
  params[1] = “Other”;
  paramLen[1] = 50;
  res = PQexecPrepared(myconn, stmtName, 2, params, paramLen, paramForm, 0); 
  PQfinish(myconn);
  return EXIT_SUCCESS;
}
