#!/usr/bin/perl
use DBI;
use strict;
my $conn = DBI->connect("DBI:Pg:dbname=postgres;host=localhost;port=5432",
"postgres", "",{ AutoCommit => 0}) || die "Fehler $DBI::err [$DBI::errstr]";
printf "Status PostgreSQL Connection: %s\n", $conn->state || "OK";
my $oraconn = DBI->connect("DBI:Oracle:ORCL","hr","hr");
printf "Status Oracle Connection: %s\n", $oraconn->state || "OK";
$oraconn->{LongReadLen} = 512 * 1024;
my $retval = "";
my $sqlcommand="";
my $sth = $oraconn->prepare(q{
BEGIN
DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,'STORAGE',false);
DBMS_METADATA.SET_TRANSFORM_PARAM(TRANSFORM_HANDLE=>DBMS_METADATA.SESSION_TRANSFORM,name=>'SEGMENT_ATTRIBUTES', value=>false);
END;});
$sth->execute;
$sth = $oraconn->prepare("SELECT
dbms_metadata.get_ddl('TABLE','EMPLOYEES','HR') FROM dual");
$sth->execute;
$sth->bind_col(1, \$retval);
while ($sth->fetch) {
print $retval, "\n";
$sqlcommand = $sqlcommand + $retval;
}
print $sqlcommand;
# . . . Umwandlung DDL . . .
my $sthpost = $conn->prepare($sqlcommand);
$sthpost->execute;
$conn->disconnect;
$oraconn->disconnect;
