#!/usr/bin/perl
use DBI;
use DBD::Pg ':async';
my $dbh = DBI->connect("DBI:Pg:dbname=hanser;host=localhost;port=5432",
"postgres", "",{ AutoCommit => 0}) || die "Fehler $DBI::err [$DBI::errstr]";
print "Beispiel asynchrones SQL:\n";
my $sth = $dbh->prepare("SELECT long_running_query()", {pg_async=>PG_ASYNC});
$sth->execute();
while (!$dbh->pg_ready) {
# do_something_else();
  print "SQLis still running...\n";  
  sleep 1;
}
print "SQL statement has finished\n";
my $res = $sth->pg_result();
print "Result: $res \n";
my $row = $sth->fetchrow_array();
print "SQL output: " . $row . "\n";
$sth->finish;
$dbh->disconnect;
