CREATE OR REPLACE FUNCTION public.new_user(username character, password character)
RETURNS character
LANGUAGE plpython3u
AS $function$
from cryptography.fernet import Fernet
ckey = Fernet.generate_key()
cipher_suite = Fernet(ckey)
bpassword = bytes(password, 'UTF-8')
ciphered_text = cipher_suite.encrypt(bpassword)
try:
  plan = plpy.prepare("INSERT INTO app_user(userid, key, password) VALUES ($1, $2, $3)", ["varchar", "varchar", "varchar"])
  plpy.execute(plan, [username, ckey.decode('utf-8'), ciphered_text.decode('utf-8')])
except plpy.SPIError as e:
  return "error, SQLSTATE %s" % e.sqlstate
else:
  return "OK"
$function$;

SELECT new_user('hanser', 'geheim');

SELECT * FROM app_user;
