CREATE OR REPLACE FUNCTION public.load_excel(tablename character varying, filename character varying)
RETURNS integer
LANGUAGE plpython3u
AS $function$
import openpyxl
path = filename
wb_obj = openpyxl.load_workbook(path)
sheet_obj = wb_obj.active
max_col = sheet_obj.max_column
max_row = sheet_obj.max_row
count_rows = 0
for i in range(2, max_row + 1):
  sql_text = "INSERT INTO " + tablename + " (longtitude,latiude,housing_median_age,total_rooms,total_bedrooms,population,households,median_income,median_house_value,ocean_proximity) VALUES ("
  for j in range(1, max_col + 1):
    cell_obj = sheet_obj.cell(row = i, column = j)
    if j == max_col:
      sql_text = sql_text + "'" + str(cell_obj.value) + "'"
    else:
      sql_text = sql_text + str(cell_obj.value) + ","
  sql_text = sql_text + ")"
  plpy.execute(sql_text)
  count_rows = count_rows + 1
return count_rows
$function$;

SELECT load_excel('cal_housing','c:\\temp\\california_housing.xlsx');
