CREATE TEXT SEARCH CONFIGURATION public.imdb ( COPY = pg_catalog.english );

CREATE TEXT SEARCH DICTIONARY pg_dict (
  TEMPLATE = synonym,
  SYNONYMS = pg_dict
);

CREATE TEXT SEARCH DICTIONARY english_ispell (
  TEMPLATE = ispell,
  DictFile = english,
  AffFile = english,
  StopWords = english
);

ALTER TEXT SEARCH CONFIGURATION imdb

ALTER MAPPING FOR asciiword, asciihword, hword_asciipart, word, hword, hword_part
WITH pg_dict, english_ispell, english_stem;

