import numpy as np
from sklearn.feature_extraction.text import CountVectorizer
from sklearn.feature_extraction.text import TfidfTransformer
count = CountVectorizer()
docs = np.array([
	'This movie is very boring and long',
	'This movie is not boring and is slow',
	'This movie is interesting and good'])
print(docs)
bag = count.fit_transform(docs)
print("Dictionary:")
dictionary_items = count.vocabulary_.items()
sorted_items = sorted(dictionary_items)
print(sorted_items)
print("Bag of words:")
print(bag.toarray())
