CREATE TABLE EMPLOYEES (
EMPLOYEE_ID INT,
FIRST_NAME VARCHAR(20),
LAST_NAME VARCHAR(25) CONSTRAINT EMP_LAST_NAME_NN NOT NULL ,
EMAIL VARCHAR(25) CONSTRAINT EMP_EMAIL_NN NOT NULL ,
PHONE_NUMBER VARCHAR(20),
HIRE_DATE DATE CONSTRAINT EMP_HIRE_DATE_NN NOT NULL ,
JOB_ID VARCHAR(10) CONSTRAINT EMP_JOB_NN NOT NULL ,
SALARY NUMERIC(8,2),
COMMISSION_PCT NUMERIC(2,2),
MANAGER_ID NUMERIC(6,0),
DEPARTMENT_ID NUMERIC(4,0),
CONSTRAINT EMP_SALARY_MIN CHECK (salary > 0) ,
CONSTRAINT EMP_EMAIL_UK UNIQUE (EMAIL) ,
CONSTRAINT EMP_EMP_ID_PK PRIMARY KEY (EMPLOYEE_ID)
);

\d employees
