SELECT si.relname, si.indexrelname, si.idx_scan
FROM pg_stat_user_indexes si, pg_indexes i, pg_stat_user_tables st
WHERE si.indexrelname = i.indexname
AND si.relname = st.relname
AND si.idx_scan < 10
AND i.indexdef !∼* 'unique'
ORDER BY 1,2;
