# Create stored password PostgreSQL SCRAM-SHA-256
import hmac
import hashlib
import base64
def bytes_xor(a, b):
  """XOR two bytestrings together"""
  return bytes(a_i ^ b_i for a_i, b_i in zip(a, b))
password = "geheim".encode('utf-8')
salt = b'QkCO90AXxD3YCpZxhyGD9Q=='
dec_salt = base64.b64decode(salt)
ui = hmac.new(password, dec_salt + b'\x00\x00\x00\x01', hashlib.sha256)
u = ui.digest()
for x in range(4096 - 1):
	ui = hmac.new(password, ui.digest(), hashlib.sha256)
	u = bytes_xor(u, ui.digest())
server_key = hmac.HMAC(u, b"Server Key", hashlib.sha256)
print (base64.b64encode(server_key.digest()))

