SELECT relname,
CAST(n_tup_ins AS NUMERIC) / (n_tup_ins + n_tup_upd + n_tup_del)*100
AS pct_insert,
CAST(n_tup_upd AS NUMERIC) / (n_tup_ins + n_tup_upd + n_tup_del)*100
AS pct_update,
CAST(n_tup_del AS NUMERIC) / (n_tup_ins + n_tup_upd + n_tup_del)*100
AS pct_delete
FROM pg_stat_user_tables
WHERE relname = 'employees';
