CREATE FUNCTION get_price (varchar, varchar)
RETURNS NUMERIC
AS $$
DECLARE
  v_title ALIAS FOR $1;
  v_actor ALIAS FOR $2;
  rec_prod products%ROWTYPE;
BEGIN
  SELECT INTO rec_prod * FROM products WHERE title = v_title
  AND actor = v_actor;
  RETURN rec_prod.price;
END;
$$ LANGUAGE plpgsql;

SELECT get_price('ACADEMY AGENT','LISA SPACEK');
