import java.sql.*;
import org.postgresql.largeobject.*;
import java.io.*;
public class pgReadLargeObject {
  public static void main(String[] argv) {
    Connection conn = null;
    LargeObjectManager lobj;
    LargeObject obj;
    long oid;
    int i,j;
    byte buf[] = new byte[204800];
    try {
      Class.forName(“org.postgresql.Driver”);
    } catch (ClassNotFoundException ex) {
      System.out.println(“Driver could not be loaded.”);
    }
    try {
      conn = DriverManager.getConnection(
        “jdbc:postgresql://localhost:5432/hanser”,“postgres”,“postgres”);
      conn.setAutoCommit(false);
      lobj = ((org.postgresql.PGConnection)conn).getLargeObjectAPI();
      PreparedStatement ps = conn.prepareStatement(“SELECT image_id 
        FROM images2 WHERE image_name = ?”);
      ps.setString(1, “image.jpg”);
      ResultSet rs = ps.executeQuery();
      if ( rs.next() ) {
        oid = rs.getLong(1);
        obj = lobj.open(oid, LargeObjectManager.READ);
        // Verarbeitung
      } else {
        System.out.println(“Image not found.”);
      }
      rs.close();
      conn.close();
    } catch (SQLException sqlex) {
      System.out.println(sqlex.toString());
    }
  }
}
