#include <stdlib.h>
#include <libpq-fe.h>
int main() {
  PGresult *result;
  PGconn *conn;
  const char *conninfo;
  conn = PQconnectdb(“”);
  if (PQstatus(conn) == CONNECTION_OK) {
    int ret = PQsetnonblocking(conn, 1);
    int ret2 = PQisnonblocking(conn);
    printf(“Non-Blocking? %d\n”, ret2);
    PQsendQuery(conn, “SELECT * FROM sales WHERE sales_id = 1900000”);
    while ( result = PQgetResult(conn)) {
      printf(“ %s\n”, PQgetvalue(result, 0, 0));
    } 
  }
  PQfinish(conn);
}
