#!/usr/bin/perl
use DBI;
use strict;
my $dsn = "DBI:Pg:dbname=hanser;host=localhost;port=5432";
my $conn = DBI->connect($dsn, "postgres", "", { AutoCommit => 0} );
my $stmt = "SELECT * FROM categories";
my $sth = $conn->prepare($stmt);
my $rset = $sth->execute() or die $DBI::errstr;
my $hashref;
while($hashref = $sth->fetchrow_hashref()) {
  my $colname;
  my %line = %$hashref;
  foreach $colname (sort keys %line) {
    print "$colname: $line{$colname} ";
  }
  print "\n";
}
$sth->finish;
$conn->disconnect;
