CREATE OR REPLACE FUNCTION public.check_pw(username character, password character)
RETURNS character varying
LANGUAGE plpython3u
AS $function$
from cryptography.fernet import Fernet
prep = plpy.prepare("SELECT * FROM app_user WHERE userid = $1", ["varchar"])
rval = plpy.execute(prep, [username])
ckey = rval[0]["key"]
cipher_suite = Fernet(ckey)
unciphered_text = (cipher_suite.decrypt(rval[0]["password"].encode()))
if unciphered_text == password.encode():
  return "OK"
else:
  return "Wrong password"
$function$;

SELECT check_pw('hanser', 'geheim');

SELECT check_pw('hanser', 'unbekannt');
