CREATE OR REPLACE FUNCTION public.http_server()
RETURNS integer
LANGUAGE plpython3u
AS $function$
import http.server
import socketserver
PORT = 8000
Handler = http.server.SimpleHTTPRequestHandler
with socketserver.TCPServer(("", PORT), Handler) as httpd:
  print("serving at port", PORT)
  httpd.serve_forever()
return 0
$function$;

SELECT http_server();
